Commit 1fa53e9f authored by Marius Burkard's avatar Marius Burkard
Browse files

Merge branch '6191-improve-letsencrypt-renew-hook' into 'develop'

Resolve "improve letsencrypt renew hook"

Closes #6191

See merge request !1492
parents efc59b6d 22e34a16
Pipeline #9301 canceled with stage
......@@ -12,8 +12,12 @@
## If you need a custom hook file, create a file with the same name in
## /usr/local/ispconfig/server/conf-custom/scripts/
##
## End the file with 'return 124' to signal that this script should not terminate.
if [ -e "/usr/local/ispconfig/server/conf-custom/scripts/letsencrypt_renew_hook.sh" ] ; then
. /usr/local/ispconfig/server/conf-custom/scripts/letsencrypt_renew_hook.sh && exit 0 || exit 1;
. /usr/local/ispconfig/server/conf-custom/scripts/letsencrypt_renew_hook.sh
ret=$?
if [ $ret != 124 ]; then exit $ret; fi
fi
hostname=$(hostname -f)
......@@ -52,4 +56,4 @@ if [ -d "$lelive" ]; then
if [ $(dpkg-query -W -f='${Status}' nginx 2>/dev/null | grep -c "ok installed") -eq 1 ]; then service nginx restart; fi
if [ $(dpkg-query -W -f='${Status}' apache2 2>/dev/null | grep -c "ok installed") -eq 1 ]; then service apache2 restart; fi
fi
else echo `/bin/date` "Your Lets Encrypt SSL certs path for your ISPConfig server FQDN is missing.$line" >> /var/log/ispconfig/ispconfig.log; fi
\ No newline at end of file
else echo `/bin/date` "Your Lets Encrypt SSL certs path for your ISPConfig server FQDN is missing.$line" >> /var/log/ispconfig/ispconfig.log; fi
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment